Name:           ocaml-lacaml
Version:        7.0.3
Release:        %mkrel 4
Summary:        OCaml-bindings to BLAS and LAPACK
License:        LGPL 2.1 with static compilation exception
Group:          Development/OCaml
URL:            https://bitbucket.org/mmottl/lacaml
Source0:        https://bitbucket.org/mmottl/lacaml/downloads/lacaml-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler-libs
BuildRequires:  libblas-devel
BuildRequires:  liblapack-devel
Requires:  libblas
Requires:  liblapack

%description
This OCaml-library interfaces two widely used mathematical FORTRAN-libraries:
 * BLAS (Basic Linear Algebra Subroutines)
 * LAPACK (Linear Algebra PACKage)

This allows developers to write high-performance numerical code for
applications that require linear algebra.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libblas-devel
Requires:       liblapack-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n lacaml-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --destdir %{buildroot}

make
make doc
mv _build/API.docdir/ html/

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/lacaml
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt TODO.md
%dir %{_libdir}/ocaml/lacaml
%{_libdir}/ocaml/lacaml/META
%{_libdir}/ocaml/lacaml/*.cmi
%{_libdir}/ocaml/lacaml/*.cma
%{_libdir}/ocaml/lacaml/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc html/
%doc examples/
%{_libdir}/ocaml/lacaml/*.a
%{_libdir}/ocaml/lacaml/*.cmxa
%{_libdir}/ocaml/lacaml/*.cmx
%{_libdir}/ocaml/lacaml/*.mli
%{_libdir}/ocaml/lacaml/*.ml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 7.0.3-4.mga3
+ Revision: 361428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 malo <malo> 7.0.3-3.mga3
+ Revision: 308016
- fix BuildRequires

  + blue_prawn <blue_prawn>
    - rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 7.0.3-2.mga3
+ Revision: 300441
- new rpm group for ocaml

* Tue Aug 21 2012 blue_prawn <blue_prawn> 7.0.3-1.mga3
+ Revision: 283016
- imported package ocaml-lacaml

